function [x_nt, f_nt, p_nt, z_nt] = NoTradeModel(A, Y, F, PI)
% Solve the NTM

[n,m]=size(Y);
I=eye(n,n);
    
for i=1:m
    x_nt(:,i)=inv(I-A(:,:,i))*Y(:,i);
    f_nt(:,i)=F(:,:,i)*x_nt(:,i);
    p_nt(:,i)=inv(I-A(:,:,i)')*F(:,:,i)'*PI(:,i);
end

% check on total factor costs in NTM
z_nt=0;
%Z2=0;
for i=1:m
    z_nt = z_nt + PI(:,i)'*F(:,:,i)*x_nt(:,i);
%    Z2=Z2+p_nt(:,i)'*Y(:,i);
end
%z_nt
%Z2

